com.holonplatform.vaadin.flow.components.builders

## Interface NumberInputConfigurator<T extends Number,C extends NumberInputConfigurator<T,C>>

- Type Parameters:
    `T` - Number type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, CompositionNotifierConfigurator<C>, DeferrableLocalizationConfigurator<C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasAutocompleteConfigurator<C>, HasAutofocusConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasLabelConfigurator<C>, HasPatternConfigurator<C>, HasPlaceholderConfigurator<C>, HasPrefixAndSuffixConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,C>, HasTitleConfigurator<C>, HasValueChangeModeConfigurator<C>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,C>, InputNotifierConfigurator<C>, InputValueConfigurator<T,ValueHolder.ValueChangeEvent<T>,C>, KeyNotifierConfigurator<C>
  All Known Subinterfaces:
    NumberInputBuilder<T>, ValidatableNumberInputBuilder<T>

      public interface NumberInputConfigurator<T extends Number,C extends NumberInputConfigurator<T,C>>
      extends InputValueConfigurator<T,ValueHolder.ValueChangeEvent<T>,C>, HasEnabledConfigurator<C>, InputNotifierConfigurator<C>, KeyNotifierConfigurator<C>, HasValueChangeModeConfigurator<C>, HasAutocompleteConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasAutofocusConfigurator<C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasPrefixAndSuffixConfigurator<C>, CompositionNotifierConfigurator<C>, HasPlaceholderConfigurator<C>, HasLabelConfigurator<C>, HasTitleConfigurator<C>, HasPatternConfigurator<C>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,C>, DeferrableLocalizationConfigurator<C>

  `Number` type `Input` components configurator.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `allowNegative(boolean allowNegative)` Sets whether to allow negative numbers.
    `default C` | `autoselect()` Automatically select the input value when the input component gains focus.
    `C` | `autoselect(boolean autoselect)` Set whether to automatically select the input value when the input component gains focus.
    `C` | `clearButtonVisible(boolean clearButtonVisible)` Set whether to show a clear button which can be used to clear the input value.
    `C` | `locale(Locale locale)` Set the `Locale` to use to represent and convert number values.
    `C` | `maxDecimals(int maxDecimals)` Sets the maximum number of digits allowed in the fraction portion of a number.
    `C` | `minDecimals(int minDecimals)` Sets the minimum number of digits allowed in the fraction portion of a number.
    `C` | `numberFormat(NumberFormat numberFormat)` Sets the `NumberFormat` to use to represent and convert number values.
    `C` | `numberFormatPattern(String numberFormatPattern)` Sets the number format pattern to use to represent and convert number values.
    `C` | `useGrouping(boolean useGrouping)` Set whether to use the grouping symbol for numbers representation and for input validation.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPrefixAndSuffixConfigurator

      `prefixComponent, suffixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.CompositionNotifierConfigurator

      `withCompositionEndListener, withCompositionStartListener, withCompositionUpdateListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### locale

          C locale(Locale locale)

      Set the `Locale` to use to represent and convert number values.

      The provided `Locale` will be always used to obtain the `NumberFormat` to represent and convert the values, regardless of the current `Locale`.

      Parameters:
        `locale` - the `Locale` to set
      Returns:
        this

    - #### numberFormat

          C numberFormat(NumberFormat numberFormat)

      Sets the `NumberFormat` to use to represent and convert number values.

      The provided `NumberFormat` will be always used, regardless of the current `Locale` or the `Locale` configured through `locale(Locale)`.

      Parameters:
        `numberFormat` - the `NumberFormat` to set
      Returns:
        this

    - #### numberFormatPattern

          C numberFormatPattern(String numberFormatPattern)

      Sets the number format pattern to use to represent and convert number values.

      The pattern style must be consistent with the `DecimalFormat` pattern conventions.

      The grouping and decimals separator symbols used will be obtained from the current `Locale` o from the `Locale` configured through `locale(Locale)`.

      Parameters:
        `numberFormatPattern` - the number format pattern to set
      Returns:
        this

    - #### allowNegative

          C allowNegative(boolean allowNegative)

      Sets whether to allow negative numbers.

      Default is `true`.

      Parameters:
        `allowNegative` - `true` to allow negative numbers, `false` otherwise
      Returns:
        this

    - #### useGrouping

          C useGrouping(boolean useGrouping)

      Set whether to use the grouping symbol for numbers representation and for input validation.
      Parameters:
        `useGrouping` - Whether to use the grouping symbol
      Returns:
        this

    - #### minDecimals

          C minDecimals(int minDecimals)

      Sets the minimum number of digits allowed in the fraction portion of a number.
      Parameters:
        `minDecimals` - the minimum decimal digits, `-1` for no limit
      Returns:
        this

    - #### maxDecimals

          C maxDecimals(int maxDecimals)

      Sets the maximum number of digits allowed in the fraction portion of a number.
      Parameters:
        `maxDecimals` - the maximum decimal digits, `-1` for no limit
      Returns:
        this

    - #### autoselect

          C autoselect(boolean autoselect)

      Set whether to automatically select the input value when the input component gains focus.
      Parameters:
        `autoselect` - `true` to automatically select the input value when the input component gains focus, `false` otherwise
      Returns:
        this
      Since:
        5.2.4

    - #### autoselect

          default C autoselect()

      Automatically select the input value when the input component gains focus.
      Returns:
        this
      Since:
        5.2.4

    - #### clearButtonVisible

          C clearButtonVisible(boolean clearButtonVisible)

      Set whether to show a clear button which can be used to clear the input value.
      Parameters:
        `clearButtonVisible` - `true` to show the clear button, `false` to hide it
      Returns:
        this
      Since:
        5.2.4

Copyright © 2020 The Holon Platform. All rights reserved.